<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| File version: 1.0
| Author: Vlad Fagarasanu (Faga)
| Web: www.cvision.eu
| EMail: office@cvision.eu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";

echo "<link rel='stylesheet' href='".INFUSIONS."new_generation_control_panel/styles.css' type='text/css' />";

if (!checkrights("NGCP") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

require_once THEMES."templates/admin_header.php";
require_once INCLUDES."infusions_include.php";
require_once INFUSIONS."new_generation_control_panel/locale.php";

include INFUSIONS."new_generation_control_panel/menu.php";

if (isset($_POST['save_links'])) {
	$save['ng_ed_social_icons'] = (int) set_setting("new_generation_ed_social_icons", isnum($_POST['ng_ed_social_icons']) ? $_POST['ng_ed_social_icons'] : "0", "new_generation_control_panel");
	$save['ng_ed_google_analytics'] = (int) set_setting("new_generation_ed_google_analytics", isnum($_POST['ng_ed_google_analytics']) ? $_POST['ng_ed_google_analytics'] : "0", "new_generation_control_panel");
	$save['ng_ed_footer'] = (int) set_setting("new_generation_ed_footer", isnum($_POST['ng_ed_footer']) ? $_POST['ng_ed_footer'] : "0", "new_generation_control_panel");
	$save['ng_ed_back_to_top'] = (int) set_setting("new_generation_ed_back_to_top", isnum($_POST['ng_ed_back_to_top']) ? $_POST['ng_ed_back_to_top'] : "1", "new_generation_control_panel");

	$message = array_sum($save) == 4 ? $locale['ngcp_saved'] : $locale['ngcp_error'];
	if ($message) { echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; };
}

opentable($locale['ngcp_title_001']);

$inf_settings = get_settings("new_generation_control_panel");
if (!$inf_settings) {
	$inf_settings = array(
		'new_generation_ed_social_icons' => "",
		'new_generation_ed_google_analytics' => "",
		'new_generation_ed_footer' => "",
		'new_generation_ed_back_to_top' => ""
	);
	set_setting("new_generation_ed_social_icons", "", "new_generation_control_panel");
	set_setting("new_generation_ed_google_analytics", "", "new_generation_control_panel");
	set_setting("new_generation_ed_footer", "", "new_generation_control_panel");
	set_setting("new_generation_ed_back_to_top", "", "new_generation_control_panel");
	
} elseif (is_array($inf_settings) && count($inf_settings) != 4) {	
	array_key_exists("new_generation_ed_social_icons", $inf_settings) ? $inf_settings['new_generation_ed_social_icons'] : set_setting("new_generation_ed_social_icons", "", "new_generation_control_panel");
	array_key_exists("new_generation_ed_google_analytics", $inf_settings) ? $inf_settings['new_generation_ed_google_analytics'] : set_setting("new_generation_ed_google_analytics", "", "new_generation_control_panel");
	array_key_exists("new_generation_ed_footer", $inf_settings) ? $inf_settings['new_generation_ed_footer'] : set_setting("new_generation_ed_footer", "", "new_generation_control_panel");
	array_key_exists("new_generation_ed_back_to_top", $inf_settings) ? $inf_settings['new_generation_ed_back_to_top'] : set_setting("new_generation_ed_back_to_top", "", "new_generation_control_panel");
}
	echo "<form action='' method='post' enctype='multipart/form-data'>\n";
	echo "<div class='table ng-control-panel-admin'>\n";
	
	echo "<div class='tr'>\n";
		echo "<div class='td' id='Title'>".$locale['ngcp_006']."</div>\n";
		echo "<div class='td' id='Content'><select name='ng_ed_social_icons' class='textbox'>\n";
		echo "<option value='1'".($inf_settings['new_generation_ed_social_icons'] == "1" ? " selected='selected'" : "").">".$locale['ngcp_001']."</option>\n";
		echo "<option value='0'".($inf_settings['new_generation_ed_social_icons'] == "0" ? " selected='selected'" : "").">".$locale['ngcp_002']."</option>\n";
		echo "</select></div>\n";
	echo "</div>\n";
	
	echo "<div class='tr'>\n";
		echo "<div class='td' id='Title'>".$locale['ngcp_005']."</div>\n";
		echo "<div class='td' id='Content'><select name='ng_ed_google_analytics' class='textbox'>\n";
		echo "<option value='1'".($inf_settings['new_generation_ed_google_analytics'] == "1" ? " selected='selected'" : "").">".$locale['ngcp_001']."</option>\n";
		echo "<option value='0'".($inf_settings['new_generation_ed_google_analytics'] == "0" ? " selected='selected'" : "").">".$locale['ngcp_002']."</option>\n";
		echo "</select></div>\n";
	echo "</div>\n";
			
	echo "<div class='tr'>\n";
		echo "<div class='td' id='Title'>".$locale['ngcp_004']."</div>\n";
		echo "<div class='td' id='Content'><select name='ng_ed_footer' class='textbox'>\n";
		echo "<option value='1'".($inf_settings['new_generation_ed_footer'] == "1" ? " selected='selected'" : "").">".$locale['ngcp_001']."</option>\n";
		echo "<option value='0'".($inf_settings['new_generation_ed_footer'] == "0" ? " selected='selected'" : "").">".$locale['ngcp_002']."</option>\n";
		echo "</select></div>\n";
	echo "</div>\n";
	
	echo "<div class='tr'>\n";
		echo "<div class='td' id='Title'>".$locale['ngcp_003']."</div>\n";
		echo "<div class='td' id='Content'><select name='ng_ed_back_to_top' class='textbox'>\n";
		echo "<option value='1'".($inf_settings['new_generation_ed_back_to_top'] == "1" ? " selected='selected'" : "").">".$locale['ngcp_001']."</option>\n";
		echo "<option value='0'".($inf_settings['new_generation_ed_back_to_top'] == "0" ? " selected='selected'" : "").">".$locale['ngcp_002']."</option>\n";
		echo "</select></div>\n";
	echo "</div>\n";
	
	echo "</div>\n";
	echo "<div align='center' style='padding-top: 10px;'>";
	echo "<input type='submit' class='button' name='save_links' value='".$locale['ngcp_save']."' /></div>\n";    
	echo "</form>\n";
	
closetable();

include INFUSIONS."new_generation_control_panel/updater.php";
require_once THEMES."templates/footer.php";
?>
